Description

Already for some time QGIS is offering a nice feature - to specify layer source if current source is wrong while opening a project.

Unfortunately this feature has a downside - unavailable layers are removed from the project. Such behaviour makes impossible to work

with a single project in on- and off-line situations if some of layers are available only on-line.

Not being able to visualize a WMS layer while being off-line is OK, but removing/adding after every opening of a project file or keeping two

copies of project one for on-line and one for off-line use is annoying and cumbersome.

Better solution would be to allow to keep unavailable layers but keep them in a "disabled" state where only action available is "check layer

availability and if it's still unavailable, ask user to specify data source". Thus it would be possible to use QGIS projects also in scenarios

where some layers have limited availability (networked, removable disks etc.).

Related issues:

Duplicated by QGIS Application - Feature request # 19790: Handle Bad Layers -... Closed 2018-09-06

History

#1 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2018-11-28 11:29 AM - Harrissou Santanna

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

Fixed in https://github.com/qgis/QGIS/pull/8435

#3 - 2018-11-28 11:32 AM - Harrissou Santanna

- Duplicated by Feature request #19790: Handle Bad Layers - DISABLE instead of DELETE added
